<?php

declare(strict_types=1);

namespace FiloBlu\Refilo\Model;

use Magento\Quote\Api\Data\CartInterface;

/**
 *
 */
interface ShippingEstimationStrategyInterface
{
    /**
     * @param \Magento\Quote\Api\Data\CartInterface $cart
     * @return mixed
     */
    public function estimate(CartInterface $cart): CartInterface;
}
